LCP_READPOL(8)

NAME
lcp_readpol - read the contents of an LCP policy index

SYNOPSIS
lcp_readpol -i index-value [-f policy-file] [-s size] [-p passwd] [-h]

DESCRIPTION
lcp_readpol is used to read the contents of an LCP policy index. Any index can be specified but the output will be parsed as if it contained a policy.

OPTIONS

-i index-value
    Designate the index for reading. Index can be UINT32 or string. 3 strings are supported for the reserved LCP indices. Strings and default index values for each string are:

    default
        0x50000001(INDEX_LCP_DEF)

    owner
        0x40000001(INDEX_LCP_OWN)

    aux 0x50000002(INDEX_LCP_AUX)

-f policy-file
    File name to write the policy data to. If no file name is specified then the contents will be displayed.

-s size
    Value size to read from NV store. If no size inputted, read by length as this index defined.

-p password
    The TPM owner password

-h  Print out the help message

EXAMPLES
lcp_readpol -i default -f policy-file

lcp_readpol -i 0x00011101 -s 10

lcp_readpol -i 0x00011101 -f policy-file -p 123456

SEE ALSO
lcp_writepol(8), lcp_crtpol(8).